#
# spec file for package netdate
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           netdate
Version:        1.2
Release:        737.2
Summary:        Set Date and Time by ARPA Internet RFC 868
License:        SUSE-Public-Domain
URL:            ftp://ftp.code-monkey.de/pub/netdate/
Source:         netdate-%{version}.tar.bz2
Patch0:         %{name}-%{version}.dif
Provides:       nkitb:%{_sbindir}/netdate

%description
Netdate takes a list of names of Internet hosts as arguments, selects
the one that supplies the best time, and sets the system time
accordingly.

The "best" time is chosen by polling the named hosts once each to find
their times and taking their differences from the local host's time.
These differences are used to find the largest group of hosts whose
times agree with each other within a certain limit. The first host in
the largest group is picked as the best host.

%prep
%autosetup -p0

%build
%make_build

%install
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_mandir}/man8
%make_install

%files
%license COPYRIGHT
%{_sbindir}/netdate
%{_mandir}/man8/netdate.8%{?ext_man}

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Nov  5 2019 Martin Pluskal <mpluskal@suse.com>
- Use more modern macros for building
- Do not rely on inaccessible source url anymore
* Sun Sep 20 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-clener
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 10 2004 postadal@suse.cz
- added RPM_OPT_FLAGS to CFLAGS and CXXFLAGS
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Nov 13 2002 kukuk@suse.de
- fix wtmp corruption [Bug #21740]
* Thu Feb 28 2002 bk@suse.de
- fix 64-bit bug: don't use signed when assinging to unsigned long
* Tue Apr 10 2001 kukuk@suse.de
- Add IPv6 support
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Mon Feb 19 2001 cihlar@suse.cz
- compile with $RPM_OPT_FLAGS and -D_GNU_SOURCE
- fixed file list
* Fri Dec  1 2000 smid@suse.cz
- new version 1.2
* Sat Apr 15 2000 kukuk@suse.de
- Initial package, split from nkitb.
